Subject: Re: [net-next 1/6] e1000e: Avoid wrong check on TX hang

From: Michael Wang <[email-masked]>
Date: Mon, 05 Dec 2011 15:15:02 +0800

On 12/05/2011 02:25 PM, Jeff Kirsher wrote:

> On Sun, 2011-12-04 at 17:05 -0800, Michael Wang wrote:
>> On 12/04/2011 03:28 PM, Jeff Kirsher wrote:
>>
>>> On Sat, 2011-12-03 at 19:26 -0800, David Miller wrote:
>>>> From: Jeff Kirsher <[email-masked]>
>>>> Date: Sat,  3 Dec 2011 03:44:26 -0800
>>>>
>>>>> +	if ((!adapter->tx_hang_recheck) &&
>>>>
>>>> Excessive parenthesis, please remove.
>>>>
>>>>> +		adapter->tx_hang_recheck = 1;
>>>>
>>>> This variable is a bool, set it to true or false.
>>>>
>>>>> +			adapter->tx_hang_recheck = 0;
>>>>
>>>> Likewise.
>>>>
>>>>> +	adapter->tx_hang_recheck = 0;
>>>>
>>>> Likewise.
>>>
>>> Michael/Flavio -
>>>
>>> To expedite this patch, I can make the changes that Dave is requesting
>>> and re-submit v2 of the patch, if that is ok with you.
>>>
>>
>> Hi, Jeff
>>
>> That's ok for me, I think it's good if you can work with Dave and make
>> out a final version for us, if you want my help, please mail me at any
>> time, I'm glad to work with you.
>>
>> Flavio:
>> What's your opinion?
>>
>> Thanks,
>> Michael Wang
> 
> I have the patch read to push, so I will go ahead an push v2 out
> tonight.  Since I am making changes to your patch, I will be removing
> your signed-off-by (and Flavio's) and keep you as a CC: so that you can
> verify the changes I have made to resolve the issues that Dave saw.
> 

Hi, Jeff

Is that means you have a better patch which different from ours, and you
will use your patch to instead of ours?

Because David is just ask for some small change, I think your time zone
may be better to work with him, so I ask for your help.

I was just confused that why our signed-off-by should be removed?

Thanks,
Michael Wang

> Cheers,
> Jeff